<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<div *ngIf="prop" class="text-text-500">
  <div class="text-base flex flex-col gap-1">
    <div class="flex items-center gap-2">
      <div class="text-text-300">type:</div>
      <div>
        <div
          *ngIf="type"
          class="text-base flex items-center gap-2"
          (click)="openUrl(typeUrl)"
          [ngClass]="{ 'cursor-pointer': typeUrl, 'hover:text-primary-500': typeUrl, 'group': typeUrl }"
        >
          <div class="group-hover:underline">{{ type }}</div>
          <i *ngIf="typeUrl" class="pi pi-external-link text-primary-500" style="font-size: 0.8rem"></i>
        </div>
        <i *ngIf="!type" class="pi pi-minus text-text-300" style="font-size: 0.8rem"></i>
      </div>
    </div>
    <div class="flex items-center gap-2">
      <div class="text-text-300">data units:</div>
      <div>
        <div
          *ngIf="dataUnits"
          class="text-base flex items-center gap-2"
          [ngClass]="{ 'cursor-pointer': dataUnitsUrl, 'hover:text-primary-500': dataUnitsUrl, 'group': dataUnitsUrl }"
          (click)="openUrl(dataUnitsUrl)"
        >
          <div class="group-hover:underline">{{ dataUnits }}</div>
          <i *ngIf="dataUnitsUrl" class="pi pi-external-link text-primary-500" style="font-size: 0.8rem"></i>
        </div>
        <i *ngIf="!dataUnits" class="pi pi-minus text-text-300" style="font-size: 0.8rem"></i>
      </div>
    </div>
    <div class="flex items-center gap-2">
      <div class="text-text-300">data type:</div>
      <div>
        <div *ngIf="prop.type" class="flex items-center gap-2 w-full">
          <div class="text-text-300 shrink-0 tracking-widest">{{ propUnitDataTypeSymbol(prop.type) ?? '-' }}</div>
          <div class="text-text-500 w-full truncate">{{ prop.type }}</div>
        </div>
        <i *ngIf="!prop.type" class="pi pi-minus text-text-300" style="font-size: 0.8rem"></i>
      </div>
    </div>
    <div *ngIf="prop.description" class="flex flex-col mt-4">
      <div class="text-text-300">description:</div>
      <div
        #desc
        class="text-text-500"
        [class]="{
          truncate: hideOverflownDescription && hideDesc,
          'w-[200px]': hideOverflownDescription && hideDesc,
          'w-[600px]': !hideOverflownDescription || !hideDesc
        }"
      >
        {{ prop.description }}
      </div>
      <div
        *ngIf="
          hideOverflownDescription && ((isEllipsisActive(desc) && hideDesc) || (!isEllipsisActive(desc) && !hideDesc))
        "
        (click)="toggleInfo()"
        class="text-primary-500 text-sm hover:underline cursor-pointer mt-0.5 font-semibold"
      >
        {{ hideDesc ? 'Show more...' : 'Hide' }}
      </div>
    </div>
  </div>
</div>
